From ce315c5bca4d9a0d4c7f6fdb99f596788d97b445 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9dric=20Villemain?= <cedric@2ndquadrant.fr>
Date: Mon, 17 Jun 2013 23:13:49 +0200
Subject: [PATCH 1/2] Allows parser to recurse in multipart/signed

And thus find signed attachments.
---
 loader/lib/parser.py |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/loader/lib/parser.py b/loader/lib/parser.py
index 5ecc396..8a9de90 100644
--- a/loader/lib/parser.py
+++ b/loader/lib/parser.py
@@ -261,7 +261,9 @@ class ArchivesParser(object):
 		return None
 
 	def recursive_get_attachments(self, container):
-		if container.get_content_type() == 'multipart/mixed':
+		log.status("Parsing container %s for attachment" % container.get_content_type())
+		# We start recursion in the "multipart" container if any
+		if container.get_content_type() == 'multipart/mixed' or container.get_content_type() == 'multipart/signed':
 			# Multipart - worth scanning into
 			if not container.is_multipart():
 				# Wow, this is broken. It's multipart/mixed, but doesn't
-- 
1.7.10.4

